Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.spi.container
Interface WebApplication

    public interface WebApplication

A Web application that manages a set of resource classes.

The web application will dispatch HTTP requests to the matching resource method on the matching resource class.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`WebApplication` | `clone()` Clone the WebApplication instance.
`void` | `destroy()` Destroy the Web application.
`MessageBodyWorkers` | `getMessageBodyWorkers()` Get the message body workers that can be used for getting message body readers and writers.
`HttpContext` | `getThreadLocalHttpContext()` Get an instance of `HttpContext` that is a proxy to a thread local instance of `HttpContext`.
`void` | `handleRequest(ContainerRequest request, ContainerResponse response)` Handle an HTTP request by dispatching the request to the appropriate matching Web resource that produces the response or otherwise producing the appropriate HTTP error response.
`void` | `handleRequest(ContainerRequest request, ContainerResponseWriter responseWriter)` Handle an HTTP request by dispatching the request to the appropriate matching Web resource that produces the response or otherwise producing the appropriate HTTP error response.
`void` | `initiate(ResourceConfig resourceConfig)` Initiate the Web application.
`void` | `initiate(ResourceConfig resourceConfig, IoCComponentProviderFactory provider)` Initiate the Web application.
`boolean` | `isInitiated()`

Method Detail

### isInitiated

    boolean isInitiated()

  Returns:
    true if th web application is initiated, otherwise false.

### initiate

    void initiate(ResourceConfig resourceConfig)
                  throws java.lang.IllegalArgumentException,
                         ContainerException

  Initiate the Web application.

  This method can only be called once. Further calls will result in an exception.

  Parameters:
    `resourceConfig` - the resource configuration containing the set of Web resources to be managed by the Web application.
  Throws:
    `java.lang.IllegalArgumentException` - if resourceConfig is null.
    `ContainerException` - if a second or further call to the method is invoked.

### initiate

    void initiate(ResourceConfig resourceConfig,
                  IoCComponentProviderFactory provider)
                  throws java.lang.IllegalArgumentException,
                         ContainerException

  Initiate the Web application.

  This method can only be called once. Further calls will result in an exception.

  Parameters:
    `resourceConfig` - the resource configuration containing the set of Web resources to be managed by the Web application.
    `provider` - the IoC component provider factory to use, if null the default component provider factory will be used.
  Throws:
    `java.lang.IllegalArgumentException` - if resourceConfig is null.
    `ContainerException` - if a second or further call to the method is invoked.

### clone

    WebApplication clone()

  Clone the WebApplication instance.

  A new WebApplication instance will be created that is initiated with the `ResourceConfig` and `IoCComponentProviderFactory` instances that were used to initiate this WebApplication instance.

  Returns:
    the cloned instance.

### getMessageBodyWorkers

    MessageBodyWorkers getMessageBodyWorkers()

  Get the message body workers that can be used for getting message body readers and writers.

  Returns:
    the message body workers. The return value is undefined before the web applicaiton is initialized.

### getThreadLocalHttpContext

    HttpContext getThreadLocalHttpContext()

  Get an instance of `HttpContext` that is a proxy to a thread local instance of `HttpContext`.

  Returns:
    the thread local instance of HttpContext.

### handleRequest

    void handleRequest(ContainerRequest request,
                       ContainerResponseWriter responseWriter)
                       throws java.io.IOException

  Handle an HTTP request by dispatching the request to the appropriate matching Web resource that produces the response or otherwise producing the appropriate HTTP error response.

  Parameters:
    `request` - the HTTP container request.
    `responseWriter` - the HTTP container response writer.
  Throws:
    `java.io.IOException` - if there is an IO error handling the request.

### handleRequest

    void handleRequest(ContainerRequest request,
                       ContainerResponse response)
                       throws java.io.IOException

  Handle an HTTP request by dispatching the request to the appropriate matching Web resource that produces the response or otherwise producing the appropriate HTTP error response.

  Parameters:
    `request` - the HTTP container request.
    `response` - the HTTP container response.
  Throws:
    `java.io.IOException` - if there is an IO error handling the request.

### destroy

    void destroy()

  Destroy the Web application.

  This method MUST only be called only once. Calls to `handlerRequest` MUST not occur while and after this method has been called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.